import QtQuick 2.11
import QtQuick.Window 2.11
import QtQuick.Controls 2.4
import Qt.labs.platform 1.0 as Platform
import QtQuick.Controls 1.4 as QQC1

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    Pane {
        anchors.fill: parent
    }

    MouseArea {
        anchors.fill: parent
        hoverEnabled: true
        acceptedButtons: Qt.LeftButton | Qt.RightButton
        onPressed: {
            console.log("Pressed")
            if ((mouse.button === Qt.RightButton)){
                someContextMenuQQC1.popup()
//                someContextMenuPlatform.open()
//                someContextMenuQQC2.popup()
            }
        }
        onReleased: {
            console.log("Released")
        }
    }

    Platform.Menu {
        id: someContextMenuPlatform

        Platform.MenuItem {
            text: "Like"
        }

        Platform.MenuItem {
            text: "Dislike"
        }

        Platform.MenuSeparator{
        }

        Platform.MenuItem {
            text: "Delete"
        }
    }

    QQC1.Menu {
        id: someContextMenuQQC1

        QQC1.MenuItem {
            text: "Like"
        }

        QQC1.MenuItem {
            text: "Dislike"
        }

        QQC1.MenuSeparator{
        }

        QQC1.MenuItem {
            text: "Delete"
        }
    }

    Menu {
        id: someContextMenuQQC2

        MenuItem {
            text: "Like"
        }

        MenuItem {
            text: "Dislike"
        }

        MenuSeparator{
        }

        MenuItem {
            text: "Delete"
        }
    }
}
